Subject: Re: linux-next: Tree for March 30: [BUG] kmemleak page fault

From: Catalin Marinas <[email-masked]>
Date: Thu, 02 Apr 2009 17:08:35 +0100

On Wed, 2009-04-01 at 11:52 +0200, Matthias Kaehlcke wrote:
> El Wed, Apr 01, 2009 at 10:30:08AM +0100 Catalin Marinas ha dit:
> 
> > On Mon, 2009-03-30 at 14:24 +0200, Matthias Kaehlcke wrote:
> > > linux-next 20090330 causes the following page fault on an edb9302
> > > (ARM) like board:
> > [...]
> > > the fault is reproducible and happens some seconds after having
> > > finished the boot process. please tell me if you need more information
> > > (like the .config, ...) in order to track this down
> > 
> > Yes, the .config would be useful. I'm mainly interested in which slab
> > allocator you are using. I'm testing kmemleak mainly on ARM and haven't
> > seen any issues.
> 
> attached is the .config for linux-next 20090401, which should be
> roughly the same than the 20090330 one.
> 
> some hours ago i booted the board with 20090401 and the page fault
> didn't happen

Do you still get this fault with the latest linux-next? I can't
reproduce it on my ARM platform (I tried it with the latest mainline
kernel as well).

-- 
Catalin